---
title:  "Grid Miner Development"
slug: grid-miner-development
published: true
layout: post
date:   2021-11-26 16:33:46
categories: update
excerpt: "The development process of the game Grid Miner"
cover_image: cover.png
hero_image: hero.png
---

[Grid Miner](https://jamesperet.com/projects/grid-miner/), my next game, is almost finished. Launch is scheduled for December 16th. So it's time for me to talk about how I made this game.

So for those who don't know, [Grid Miner](https://jamesperet.com/projects/grid-miner/) is a real-time strategy puzzle game. You build modules to expand your space station and crush asteroids to gather resources. It's the second official game developed by Kairoscope Games. It will be released on [Steam](https://store.steampowered.com/app/1768300/Grid_Miner/) for PC and Mac.

Now the game is almost ready for launch. I'm working on a UI overhaul, better tutorials, unlocks and more content. Also the trailer is comming out soon. Besides working on development, recently I have been working on marketing the game and creating a pitch deck to show to publishers.

The game was developed in almost six months by me and my cousin Ben. The game idea came from Ben, after seeing me working on a grid construction module for KairoEngine.

I did the game development, programming, soundtrack, audio and wrote some of the story. Ben made the 3D models, wrote some of the story and managed beta tests with players.

We used the *Unity 3D* game engine. On top of it, for a few years now, I have been developing the [KairoEngine](https://git.kairoscope.net/kairoengine), a set of modules with reusable game parts. It realy payed off during game's development. This library is now even better and ready for our next game.

Overall [Grid Miner](https://jamesperet.com/projects/grid-miner/) came out as a cool little game. It's not for everyone. The onboarding is still hard (*working on it*). But once you get the hang of it, players get really hooked in trying to solve all the levels. Contructing buildings feels good and solid which is what you do most of the time. The asteroids are a bit confusing at first, but its easy to understand the basic resource gathering mechanics.

There where many ideas on our **backlog** that are probably not going to make it to the final game. There was an energy grid mechanic where buildings get disconected from power if you destroy a connecting tube. Another idea was that asteroids could damage your space station modules if they collided. Modules would have hitpoints, get destroyed and became floating scrap that could be harvested again. These ideas are pretty cool but hard to implement and in the end they got discarted.

One idea from the backlog that I really want to make in the future (after the game has launched) is the **random map generator**. The idea is to have a game mode where you play in a randomly generated map. There are controls to set many aspects of the map like size, asteroid field quantity, size, resource percentages and different dificulty settings. Part of all this is already implemented in the game in the `LevelGenerator`. But other things like procedualy placing asteroids and controlling the difficulty level have to be made from scratch and are hard problems to solve.

If you have any questions about the [Grid Miner](https://jamesperet.com/projects/grid-miner/) or want to give feedback, leave a comment for me here on my blog, join our [Discord](https://discord.com/invite/SvKJ2cy) server or write it on to the [Grid Miner Steam Comunity](https://steamcommunity.com/app/1768300).

Support my game by whishlisting it on [Steam](https://store.steampowered.com/app/1768300/Grid_Miner/), buying the game once it's out and then leave a review! Thank you.
